# Class SessionTrackerImpl.SessionImpl

java.lang.Object
org.apache.zookeeper.server.SessionTrackerImpl.SessionImpl

All Implemented Interfaces:
  `SessionTracker.Session`

Enclosing class:
  `SessionTrackerImpl`

public static class SessionTrackerImpl.SessionImpl extends Object implements SessionTracker.Session

## Method Summary

Modifier and Type
Method
Description
`long`
`getSessionId()`
`int`
`getTimeout()`
`boolean`
`isClosing()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSessionId

public long getSessionId()

Specified by:
  `getSessionId` in interface `SessionTracker.Session`

### getTimeout

public int getTimeout()

Specified by:
  `getTimeout` in interface `SessionTracker.Session`

### isClosing

public boolean isClosing()

Specified by:
  `isClosing` in interface `SessionTracker.Session`

### toString

public String toString()

Overrides:
  `toString` in class `Object`